tigase.xmpp.impl

## Class Privacy

- java.lang.Object
- - tigase.xmpp.impl.Privacy

-     public class Privacy
      extends Object

  Class defining data structure for privacy lists. Sample data storage: List name: Item order: Created: Mon Oct 9 20:50:09 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ACTION` Field description
    `protected static String` | `ACTIVE` Field description
    `protected static String` | `DEFAULT` Field description
    `protected static String` | `ITEM` Field description
    `protected static String` | `LIST` Field description
    `protected static String` | `NAME` Field description
    `protected static String` | `ORDER` Field description
    `protected static String` | `PRIVACY` Field description
    `protected static String` | `PRIVACY_LIST` Field description
    `protected static String` | `STANZAS` Field description
    `protected static String` | `TYPE` Field description
    `protected static String` | `VALUE` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Privacy()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `addList(XMPPResourceConnection session, tigase.xml.Element list)` Method description
    `static tigase.xml.Element` | `getActiveList(XMPPResourceConnection session)` Method description
    `static String` | `getActiveListName(XMPPResourceConnection session)` Method description
    `static String` | `getDefaultList(XMPPResourceConnection session)` Method description
    `static tigase.xml.Element` | `getList(XMPPResourceConnection session, String list)` Method description
    `static tigase.xml.Element` | `getListOld(XMPPResourceConnection session, String list)` Method description
    `static String[]` | `getLists(XMPPResourceConnection session)` Method description
    `static String` | `listNode(String list)` Method description
    `static void` | `removeList(XMPPResourceConnection session, tigase.xml.Element list)` Method description
    `static void` | `setActiveList(XMPPResourceConnection session, String lName)` Method description
    `static void` | `setDefaultList(XMPPResourceConnection session, tigase.xml.Element list)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ACTION

          protected static final String ACTION

      Field description
      See Also:
        Constant Field Values

    - #### ACTIVE

          protected static final String ACTIVE

      Field description
      See Also:
        Constant Field Values

    - #### DEFAULT

          protected static final String DEFAULT

      Field description
      See Also:
        Constant Field Values

    - #### ITEM

          protected static final String ITEM

      Field description
      See Also:
        Constant Field Values

    - #### LIST

          protected static final String LIST

      Field description
      See Also:
        Constant Field Values

    - #### NAME

          protected static final String NAME

      Field description
      See Also:
        Constant Field Values

    - #### ORDER

          protected static final String ORDER

      Field description
      See Also:
        Constant Field Values

    - #### PRIVACY

          protected static final String PRIVACY

      Field description
      See Also:
        Constant Field Values

    - #### PRIVACY_LIST

          protected static final String PRIVACY_LIST

      Field description
      See Also:
        Constant Field Values

    - #### STANZAS

          protected static final String STANZAS

      Field description
      See Also:
        Constant Field Values

    - #### TYPE

          protected static final String TYPE

      Field description
      See Also:
        Constant Field Values

    - #### VALUE

          protected static final String VALUE

      Field description
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Privacy

          public Privacy()

  - ### Method Detail

    - #### addList

          public static void addList(XMPPResourceConnection session,
                     tigase.xml.Element list)
                              throws NotAuthorizedException,
                                     TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### removeList

          public static void removeList(XMPPResourceConnection session,
                        tigase.xml.Element list)
                                 throws NotAuthorizedException,
                                        TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getActiveList

          public static tigase.xml.Element getActiveList(XMPPResourceConnection session)
                                                  throws NotAuthorizedException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`

    - #### getActiveListName

          public static String getActiveListName(XMPPResourceConnection session)
                                          throws NotAuthorizedException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`

    - #### getDefaultList

          public static String getDefaultList(XMPPResourceConnection session)
                                       throws NotAuthorizedException,
                                              TigaseDBException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getList

          public static tigase.xml.Element getList(XMPPResourceConnection session,
                                   String list)
                                            throws NotAuthorizedException,
                                                   TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getListOld

          public static tigase.xml.Element getListOld(XMPPResourceConnection session,
                                      String list)
                                               throws NotAuthorizedException,
                                                      TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### getLists

          public static String[] getLists(XMPPResourceConnection session)
                                   throws NotAuthorizedException,
                                          TigaseDBException

      Method description
      Parameters:
        `session` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### listNode

          public static String listNode(String list)

      Method description
      Parameters:
        `list` -

    - #### setActiveList

          public static void setActiveList(XMPPResourceConnection session,
                           String lName)
                                    throws NotAuthorizedException,
                                           TigaseDBException

      Method description
      Parameters:
        `session` -
        `lName` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

    - #### setDefaultList

          public static void setDefaultList(XMPPResourceConnection session,
                            tigase.xml.Element list)
                                     throws NotAuthorizedException,
                                            TigaseDBException

      Method description
      Parameters:
        `session` -
        `list` -
      Throws:
        `NotAuthorizedException`
        `TigaseDBException`

Copyright © 2014 "Tigase, Inc.". All rights reserved.